﻿// Copyright 2009-2010 Oliver Sturm <oliver@sturmnet.org> All rights reserved. 

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Dynamic;
using System.Data;

namespace DynamicDB {
  public class DynamicDataRow : DynamicObject {
    public DynamicDataRow(DataRow row)
      : base( ) {
      this.row = row;
    }

    DataRow row;

    public override bool TryGetMember(GetMemberBinder binder, out object result) {
      if (row.Table.Columns.Contains(binder.Name)) {
        result = row[binder.Name];
        return true;
      }

      return base.TryGetMember(binder, out result);
    }
  }

}
