// Copyright 2009-2010 Oliver Sturm <oliver@sturmnet.org> All rights reserved. 

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Dynamic;
using System.Data;
using System.Data.OleDb;

namespace DynamicDB {
  public class DynamicFields : DynamicObject {
    public DynamicFields(DynamicDatabase db, DynamicTable table) {
      this.db = db;
      this.table = table;
    }

    DynamicDatabase db;
    DynamicTable table;

    public override bool TryGetMember(GetMemberBinder binder, out object result) {
      if (table.DataTable.Columns.Contains(binder.Name)) {
        result = new DynamicField(db, table, binder.Name);
        return true;
      }

      return base.TryGetMember(binder, out result);
    }
  }
}